Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)
From: Loa Andersson <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 22 Oct 2015 16:00:59 +0800
List-Id: Multi-Protocol Label Switching WG <mpls.ietf.org>

Lloyd,

I thinks so, I've tried criteria and criterium a couple of time, and 
consistently having reviews suggesting to change criteria to criterias
alternatively criterium to criteriums.

However errata 4497 is just one errata, and that is what we are talking
about, if you sort out the grammar and reach IETF consensus please let
me know.

/Loa

On 2015-10-22 14:51, [email-masked] wrote:
> To continue hair splitting, the singular of 'errata' is 'erratum'. Just like 'data' and 'datum'.
>
> 'errata is' makes no sense. Did you mean that all errata are right? Or is IETF convention at odds with English?
>
> thanks
>
> Lloyd Wood
> http://about.me/lloydwood
> ________________________________________
> From: mpls <[email-masked]> on behalf of Loa Andersson <[email-masked]>
> Sent: Thursday, 22 October 2015 3:58 PM
> To: Ross Callon; Eric Rosen; Martin Vigoureux; RFC Errata System; [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)
>
> Ross,
>
> To continue hair splitting.
>
> 1. Yes the errata is right
>
> 2. We need to accept the errata.
>
> 3. The new text should be:
>      "Label distribution can be piggybacked in the BGP Update message by
>       using the BGP-4 Multiprotocol Extensions attribute defined in
>       RFC 2858 [BGP-MP]."
>
> That makes the document internally consistent, though all references
> are obsoleted. To take care of this we need a note:
> "Accept - hold for a potential 3107bis, the reference pointed to in
>    this errata should be update to reflect the most recent versions of
>    the BGP specification and of the Multiprotocol BGP specification."
>
> Deborah,
>
> Is this actionable?
>
> /Loa
>
>
> On 2015-10-20 01:52, Ross Callon wrote:
>> Referring to the errata updating the reference: I think that at the time that RFC 3107 was published the reference to 2283 was wrong both because 2283 had already been updated, and because there is no actual reference to 2283 in the references section. The errata is therefore correct. The problem that I have with "hold for document update" is that by now, and therefore by the time (if any) that we update 3107, the errata will also be out of date.
>>
>> My inclination is to think that at the time that 3107 was published the errata was correct, and thus we should accept it.
>>
>> Ross
>>
>> -----Original Message-----
>> From: Loa Andersson [mailto:[email-masked]]
>> Sent: Saturday, October 17, 2015 1:15 AM
>> To: Eric Rosen; Martin Vigoureux; RFC Errata System; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Ross Callon
>> Cc: [email-masked]; [email-masked]
>> Subject: Re: [mpls] [Technical Errata Reported] RFC3107 (4497)
>>
>> Eric,
>>
>> On 2015-10-17 03:52, Eric C Rosen wrote:
>>> On 10/14/2015 8:15 AM, Martin Vigoureux wrote:
>>>> I think we should stick to changing [RFC 2283] into [BGP-MP]. Otherwise
>>>> it could open the door to creating erratas for any reference that would
>>>> have been updated/obsoleted.
>>>
>>> Of course, one could also ask whether it is worthwhile to accept an
>>> erratum that changes one obsolete reference to another.  Whether one
>>> looks in the RFC index for RFC2283 or for RFC2858, one will eventually
>>> follow the change of tags to RFC4760.
>>
>> I take this to mean "Accept - hold for a potential 3107bis", right?
>>
>> /Loa
>>>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>